Re: build failure : ORBit

On Sat, 13 Feb 1999 15:56:13 -0800, Michael Hall <> wrote:

>  Hmm, I also use tcpwrappers and haven't touched it in quite sometime,
>the version I compiled/installed was 'tcp_wrappers_7.6.tar.gz' and I
>haven't recompiled it with glibc-2.1 or anything and it hasn't given
>me any problems and I've compiled a couple of programs against it since
>I upgraded to glibc-2.1. I just read another message here on the list
>regarding the same thing suggesting maybe recompiling 'tcp_wrappers'
>might help, he was referring to Debian systems (I'm running a highly
>modified Slackware here, maybe thats why I don't see the problem here ?).

The problem is TCP Wrappers using yp_get_default_domain on some systems. I
think this is related to the configuration of TCP wrappers, since Red Hat's
libwrap.a doesn't use yp_get_default_domain, whereas Debian's package does.

The solution is to fix TCP Wrappers not to use the YP domain, which really
has no relevance to the job TCP Wrappers does.

A workaround (somewhat untested) should be in the CVS version of ORBit now.
(ORBit/ version 1.64).

Hope this helps,
-- Elliot
"In film you will find four basic story lines. Man versus man, man
 versus nature, nature versus nature, and dog versus vampire."
    - Steven Spielberg

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]